Page MenuHomeMiraheze

Extension:StopForumSpam
Open, NormalPublic

Description

https://www.sdiy.info

To try to slow down spambots from registering accounts on the wiki. Please can extension StopForumSpam be added?

Event Timeline

Rob_Kam created this task.Jul 19 2019, 08:37
AmandaCath changed the task status from Open to Stalled.Jul 19 2019, 14:36
AmandaCath moved this task from Backlog to Pending security review on the Extensions board.
Rob_Kam updated the task description. (Show Details)Jul 29 2019, 09:31
Reception123 changed the task status from Stalled to Open.Jul 31 2019, 08:12
Reception123 added subscribers: AmandaCath, John.

@AmandaCath Why did you classify this as "Stalled"?

@John mind a review?

@Reception123 because anything requiring a security review is de facto stalled due to the excessively long backlog of extensions awaiting a review. It seems that paladox and SPF are starting to do at least a few partial reviews to help out labster and samwilson, but it's still a horrible backlog.

The extension itself is safe, however I do not like the idea of our IPs being blacklisted because someone used reported non-spambots to the StopForumSpam site. I want to know what the other sysadmins think.

Rob_Kam added a comment.Aug 7 2019, 22:24

https://www.stopforumspam.com/downloads "The data provided here represents what we believe will only ever ben used to abuse. IP Addresses, domains and usernames listed here will be returned in API results as "blacklisted". You would be very unlikely to see valid content from either the IP addresses or domains listed."

John moved this task from Pending security review to Reviewed on the Extensions board.

The extension itself is safe, however I do not like the idea of our IPs being blacklisted because someone used reported non-spambots to the StopForumSpam site. I want to know what the other sysadmins think.

Will set this up tonight

RhinosF1 closed this task as Resolved.Aug 25 2019, 14:29

This is now enabled in ManageWiki for use.

Just a note that while no issues for found, none of us are blocked by StopForumSpam so we have no way to confirm it actually does anything useful

RhinosF1 reopened this task as Open.Aug 25 2019, 14:33

reverted by @Paladox because another person wants to have a look

Rob_Kam added a comment.Aug 25 2019, 22:00

Thanks. Now have it on sdiywiki, with abuse filter. Still to find out what effect it has ...

Rob_Kam added a comment.Sep 1 2019, 09:14

Doesn't look like $wgSFSIPListLocation is configured?

Rob_Kam reopened this task as Open.Sep 1 2019, 13:54
RhinosF1 removed RhinosF1 as the assignee of this task.Sep 1 2019, 21:12
RhinosF1 added a project: Operations.

Operations - reading the docs it looks like something that needs your work. Can someone please look?

@Paladox / @Reception123

RhinosF1 moved this task from Reviewed to Other on the Extensions board.Mon, Oct 14, 19:58